<ion-content>
    <div class="col-640-container">
        <div class="row">
            <div class="logo">
                <img src='assets/logo.png'>
            </div>
        </div>
        <div class="row">
            <div class="title">
                <p>WELCOME</p>
                <h1>Welcome to SiriusSign</h1>
            </div>
        </div>
        <div class="row">
            <div class="form" id="form">
                <input placeholder="Email" type="email" [(ngModel)]="inputDat.email" (input)="checkAccount()"
                    style="text-transform: lowercase;">
                <div class="emailField">
                    <!-- <select class="select-css" (change)="onSelectEmail($event)">
                                <option *ngIf="!wallets">No account</option>
                                <option *ngFor="let wallet of wallets" (value)="wallet.name">{{wallet.name}}</option>
                            </select> -->
                </div>
                <div class="passField">
                    <input placeholder="password" [type]="passView" [(ngModel)]="inputDat.pass">
                    <div class="right-btn">
                        <ion-icon name="eye" (click)="togglePassView()" *ngIf="passView=='password'"></ion-icon>
                        <ion-icon name="eye-off" (click)="togglePassView()" *ngIf="passView=='text'"></ion-icon>
                    </div>
                </div>
            </div>
        </div>
        <div class="row error-row">
            <p class="error"> {{errorMess}} </p>
        </div>
        <div class="row">
            <div class="submit-btn" tappable (click)="onSignIn()">Sign In</div>
            <div *ngIf="isFingerAllow" class="btnFingerprint">
                <ion-icon name="finger-print" class="icon-fingerprint" (click)="signInWithFingerprint()"></ion-icon>
            </div>
        </div>
    </div>

    <div class="foot" *ngIf="!isKeyboardShow">
        <div class="foot-text" id="signin">
            <p>Do not have an account? <a tappable (click)="goSignUp()">Sign Up</a></p>
        </div>
    </div>
</ion-content>

<div class="loading-layer" *ngIf="isProcessing">
    <ion-spinner></ion-spinner>
</div>